Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 17 Apr 2023 16:43:59 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Worst experience ever. I am a regular Online shopper with Noon, Amazon, Myntra and FirstCry. This was my first experience with Max. I will suggest none of my family or friends shop here. Your delivery team is such a liar. "Customer no response" is what they are to tell for their inability to deliver the order on time. I didn't receive any call from the delivery team, still you mention the status as the fault of the customer. How can a customer respond to u when u don't even call them? I am so agitated coz I shopped from u for my daughter's Eid-ul-Fitr clothing collection that has to go out today before 7 pm coz flight is at 10 pm. I don't how is the dress going to turn out after delivery. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6091910